> For the complete documentation index, see [llms.txt](https://docs.digiledge.in/untitled/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.digiledge.in/untitled/bbps/bbps-agent-integration/bbps-agent-api/txn-status-check-api-401.md).

# Txn Status Check API (401)

<mark style="color:blue;">**API for checking the txn status at NPCI (401 API) by providing either refId or NPCI Txn Ref ID**</mark>

| Endpoint                                                                                                                                                           |
| ------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| **Request:**<mark style="color:blue;">**POST**</mark><mark style="color:blue;">**&#x20;**</mark>*<mark style="color:blue;">**/couapp/transactions/status**</mark>* |

<mark style="color:blue;">**Request Parameters**</mark>

**The various parameters are explained below:**

| Parent Property/Element                | Property/Element Name    | Mandatory | Data Type    | Description                                                                                |
| -------------------------------------- | ------------------------ | --------- | ------------ | ------------------------------------------------------------------------------------------ |
| \[ROOT] (No parent property / element) | tenantId                 | M         | Alphanumeric | Fixed Length – 4                                                                           |
|                                        | id                       | M         | Alphanumeric | 35 in case of refId and 12/20 in case of NPCI Txn Ref ID                                   |
|                                        | <p><br></p><p>idType</p> | M         | Alphanumeric | Specifies whether RefId or TxnNpci ID is provided. Possible values are ‘txnId’ and ‘refId’ |

<mark style="color:blue;">**Response Parameters**</mark>

**The various parameters are explained below:**

| Parent Property/Element                | Property/Element Name | Mandatory | Data Type | Description                                                           |
| -------------------------------------- | --------------------- | --------- | --------- | --------------------------------------------------------------------- |
| \[ROOT] (No parent property / element) | txnStatusReqRefId     | C         | String    | <p></p><p>Ref ID of the 401 Txn Status Check Request sent to NPCI</p> |
|                                        | agentId               | C         | String    | Masked Agent ID of the agent via which transaction was done           |
|                                        | billerId              | C         | String    | Biller ID of the biller for which transaction has happened            |
|                                        | approvalRefNum        | C         | String    | Approval Ref Number of the transaction                                |
|                                        | txnRefId              | C         | String    | 12/20 characters Txn NPCI ID                                          |
|                                        | mti                   | C         | String    | Message Type Indicator - Value will be PAYMENT                        |
|                                        | txnDate               | C         | String    | Txn Date in RFC3339 format                                            |
|                                        | amount                | C         | String    | Txn Amount in Paise                                                   |
|                                        | txnStatus             | C         | String    | Status of the transaction. Possible values are SUCCESS and FAILED     |
|                                        | customerMobile        | C         | String    | Mobile number of the customer who initiated the transaction           |
| generalResp                            | statusCode            | M         | Numeric   | 200- SUCCESS Other than 200-Failure                                   |
|                                        | status                | M         | String    | It is either “Success” or Failure                                     |
|                                        | message               | M         | String    | Contains the reason message for failure / success                     |
|                                        | remarks               | C         | String    | Contains the reason message for failure / success                     |

***Json Formatted Request Example***

<pre class="language-json"><code class="lang-json"><strong>{
</strong>"id": "FE413037ar3R7jo3LwxN",
"idType" : "txnId", 
"tenantId" : "FE41"
}
</code></pre>

***Json Formatted Response Example***

```json
{
"txnStatusReqRefId": "Uwn3Ots72IwcRXWLueCJBzTsCT930391051", 
"agentId": "FE41XXXXBNK519012345",
"billerId": "KIFS00000NATST",
"approvalRefNum": "076e716e-a5ea-11ed-837a-0242ac130016", 
"txnRefId": "FE413037ar3R7jo3LwxN",
"mti": "PAYMENT",
"txnDate": "2023-02-06T12:16:47+05:30",
"amount": "10000", 
"txnStatus": "SUCCESS",
"customerMobile": "8891604640", 
"generalResp": {
"message": "Txn status response retrieved",
"remarks": "Txn status response retrieved",
"status": "Success", 
"statusCode": "200"
}
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.digiledge.in/untitled/bbps/bbps-agent-integration/bbps-agent-api/txn-status-check-api-401.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
